
From: Andrew Morton <akpm@osdl.org>

fs/built-in.o(.text+0x3ad2):/tmp/distcc_1108/fs/buffer.c:615: undefined reference to `bit_spin_unlock'
fs/built-in.o(.text+0x3aea):/tmp/distcc_1108/fs/buffer.c:621: undefined reference to `bit_spin_unlock'

Cc: Nick Piggin <nickpiggin@yahoo.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/buffer.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/buffer.c~page_uptodate-locking-scalability-fix fs/buffer.c
--- devel/fs/buffer.c~page_uptodate-locking-scalability-fix	2005-06-30 23:58:26.000000000 -0700
+++ devel-akpm/fs/buffer.c	2005-06-30 23:58:45.000000000 -0700
@@ -40,6 +40,7 @@
 #include <linux/cpu.h>
 #include <linux/bitops.h>
 #include <linux/mpage.h>
+#include <linux/bit_spinlock.h>
 
 static int fsync_buffers_list(spinlock_t *lock, struct list_head *list);
 static void invalidate_bh_lrus(void);
_
